<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.12
  $Source$
  $Revision: 3636 $
  $Author: gaugau $
  $Date: 2007-06-29 11:35:30 +0200 (Fr, 29 Jun 2007) $
**********************************************/

define('THEME_IS_XHTML10_TRANSITIONAL',1); // Remove this if you edit this template until
                                           // you have validated it. See docs/theme.htm.

// HTML template for sys_menu
$template_sys_menu = <<<EOT
         |{BUTTONS}|
EOT;

// HTML template for template sys_menu spacer
$template_sys_menu_spacer ="|";

// HTML template for template sub_menu
// special note: I left the java 'hide' off of the first and third buttons to help avoid trouble keeping sys_menu open. :Donnoman

$template_sub_menu = <<<EOT
<table cellpadding="0" cellspacing="0" border="0">
<tr>
    
<!-- BEGIN custom_link -->
	
    <td class=menutable  width="95px" align="center">
            <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>
    </td>
    
<!-- END custom_link -->
         
    
       
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{LASTUP_TGT}"  title="{LASTUP_LNK}">{LASTUP_LNK}</a>
    </td>
    
    <td class=menutable width="95px" height="25px" align="center">
            <a href="{LASTCOM_TGT}"  title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{TOPN_TGT}"  title="{TOPN_LNK}">{TOPN_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{TOPRATED_TGT}"  title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{FAV_TGT}" title="{FAV_LNK}">{FAV_LNK}</a>
    </td>
    
    
    


	    
  </tr>
</table>

EOT;

// HTML template for sys menu
$template_sys_menu = <<<EOT


<table cellpadding="0" cellspacing="0" border="0">

                       
<!-- BEGIN home -->

                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a></td>
                                        
<!-- END home -->

<!-- BEGIN my_gallery -->
                                        
                                                <td class="menutable" width="95px" height="25px" align="center"> <a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a></td>
                                        

<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->


                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></td>
<!-- END allow_memberlist -->                        

<!-- BEGIN my_profile -->
                             
                                              <td class="menutable" width="95px" height="25px" align="center"> <a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></td>
                                 
<!-- END my_profile -->


<!-- BEGIN my_friends -->
                                                <td class="menutable" width="95px" height="25px" align="center"><a href="{MY_BUDDY_TGT}" title="{MY_BUDDY_LNK}">{MY_BUDDY_LNK}</a></td>
<!-- END my_friends -->



<!-- BEGIN faq -->
                                      
                                                <td class="menutable" width="95px" height="25px" align="center"> <a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a></td>
                                    
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                                      
                                              <td class="menutable" width="95px" height="25px" align="center">  <a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></td>
                   
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                        
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></td>
                            
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                                 
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></td>
                                     
<!-- END upload_pic -->
<!-- BEGIN register -->
                                        
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></td>
                                        
<!-- END register -->


<!-- BEGIN login -->
<td class="loginbtn" width="95px" height="25px" align="center" style="visibility:hidden"> <a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></td>
                                       
                                       
<!-- END login -->
<!-- BEGIN logout -->


<td class="logoutbtn" width="95px" height="25px" align="center"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">Logout</a></td>
                                      
<!-- END logout -->




</table>


EOT;





// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

                        <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                                <td width="100%" class="statlink">{ALBUM_NAME}</td>
                                <td class="sortorder_options" style="font-size: 100%;">Title</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Name</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Date</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Position</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">&nbsp;-&nbsp;</a></span></td>
                        </tr>
                        </table>
EOT;







//Rating change
$template_image_rating = <<<EOT
<table align="center" width="{WIDTH}" cellspacing="0" cellpadding="0" class="maintable">
        <tr>
                <td colspan="6" class="tableb_compact" ><b>{TITLE}</b> {VOTES}</td>
        </tr>
        <tr>
                <td class="tableb_compact">{RATESCRIPT}</td>
        </tr>
</table>
EOT;
function theme_html_rating_box()
{
    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $THEME_DIR;
    global $template_image_rating, $lang_rate_pic;

    if (!(USER_CAN_RATE_PICTURES && $CURRENT_ALBUM_DATA['votes'] == 'YES')) return '';

    $votes = $CURRENT_PIC_DATA['votes'] ? sprintf($lang_rate_pic['rating'], round($CURRENT_PIC_DATA['pic_rating'] / 2000, 1), $CURRENT_PIC_DATA['votes']) : $lang_rate_pic['no_votes'];
    $pid = $CURRENT_PIC_DATA['pid'];

    if (defined('THEME_HAS_RATING_GRAPHICS')) {
        $location= $THEME_DIR;
    } else {
        $location= '';
    }

    $params = array('{TITLE}' => $lang_rate_pic['rate_this_pic'],
	
		'{RATESCRIPT}' => '<script type="text/javascript" language="JavaScript">displayStars(' . round($CURRENT_PIC_DATA['pic_rating'] / 2000, 0) . ', ' . $pid . ', "");</script>',
        '{VOTES}' => $votes,
        '{WIDTH}' => $CONFIG['picture_table_width'],
        '{LOCATION}' => $location,        //theme dir or default images directory
        );

    return template_eval($template_image_rating, $params);
} 





$template_img_navbar = <<<EOT

<br><br>
<table align="center" width="600" cellspacing="0" cellpadding="0" class="maintable">

        <tr>
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{THUMB_TGT}" class="navmenu_pic" title="{THUMB_TITLE}"><img src="{LOCATION}images/thumbnails.png" align="middle" border="0" alt="{THUMB_TITLE}" /></a>
                </td>
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="javascript:;" class="navmenu_pic" onclick="blocking('picinfo','yes', 'block'); return false;" title="{PIC_INFO_TITLE}"><img src="{LOCATION}images/info.png" border="0" align="middle" alt="{PIC_INFO_TITLE}" /></a>
                </td>
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{SLIDESHOW_TGT}" class="navmenu_pic" title="{SLIDESHOW_TITLE}"><img src="{LOCATION}images/slideshow.png" border="0" align="middle" alt="{SLIDESHOW_TITLE}" /></a>
                </td>
                <td align="center" valign="middle" class="navmenu" width="100%">
                        {PIC_POS}
                </td>
<!-- BEGIN report_file_button -->
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{REPORT_TGT}" class="navmenu_pic" title="{REPORT_TITLE}"><img src="{LOCATION}images/report.png" border="0" align="middle" alt="{REPORT_TITLE}" /></a>
                </td>
<!-- END report_file_button -->
<!-- BEGIN ecard_button -->
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{ECARD_TGT}" class="navmenu_pic" title="{ECARD_TITLE}"><img src="{LOCATION}images/ecard.png"  border="0" align="middle" alt="{ECARD_TITLE}" /></a>
                </td>
<!-- END ecard_button -->
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{PREV_TGT}" class="navmenu_pic" title="{PREV_TITLE}"><img src="{LOCATION}images/prev.png"  border="0" align="middle" alt="{PREV_TITLE}" /></a>
                </td>
                <td align="center" valign="middle" class="navmenu" width="48">
                        <a href="{NEXT_TGT}" class="navmenu_pic" title="{NEXT_TITLE}"><img src="{LOCATION}images/next.png"  border="0" align="middle" alt="{NEXT_TITLE}" /></a>
                </td>
        </tr>

EOT;







function loginForm($logged=1) {

global $CONFIG, $lang_loginform, $REFERER;

//if (!$CONFIG['enable_loginform']) return $loginFormHtml = "";

if (!USER_ID && $CONFIG['enable_loginform']) {
  $loginFormHtml = <<<EOT
<ins>
    	<form action="login.php?referer=$REFERER" method="post" name="loginbox" style="margin:0; padding:0;">
        <table cellpadding="0" cellspacing="3" border="0">
        <tr>
            <td><input type="text" class="textinput" name="username" size="10" /></td>
            <td><input type="password" class="textinput" name="password" size="10" /></td>
            <td><input name="submitted" type="submit" value="Login" />
            <input name="remember_me" type="hidden" class="checkbox" value="1" checked="checked" /></td>
        </tr>
        <tr>
        <td class="smallfont">$lang_loginform[user]</td>
        <td class="smallfont">$lang_loginform[pass]</td>
        <td></td>
		</tr>
        </table>
        </form>
</ins>
EOT;
}

if (USER_ID) {

	if ($CONFIG['enable_avatar']) {
		if (AVATAR_URL !="") $avatar_url = "<a href='profile.php?op=edit_profile'><img src='".AVATAR_PATH.AVATAR_URL."' class=\"image\"></a>";
		else $avatar_url="&nbsp;";
	    $edit_profile_form_param[] = array('textplain', $avatar_url, $lang_register_php['manage_avatar']);

		if (isset($_GET['uid'])) {
			$user_data = $cpg_udb->get_user_infos($_GET['uid']);
			$avatar_url = $user_data['avatar_url'];
			if ($avatar_url !="") $avatar_url = "<img src='".AVATAR_PATH.$avatar_url."' class=\"image\">";
		}
	$loginFormHtml = "<span style=\"float: bottom;position:absolute;top:5px;left:85%;\">".$avatar_url."</span>";
	} else $loginFormHtml = NULL;

	$loginFormHtml .= "<div align=\"right\" class=\"smallfont\">".$lang_loginform['welcome']." <strong>".(USER_NAME)."&nbsp;</strong><br />";


	if ($CONFIG['display_pms_status']){
		$result = cpg_db_query("SELECT count(*) FROM  {$CONFIG['TABLE_PMS']} WHERE owner=".(USER_ID));
		list($tot_all_messages) = @mysql_fetch_array($result);
		mysql_free_result($result);
		$result = cpg_db_query("SELECT count(*) FROM  {$CONFIG['TABLE_PMS']} WHERE owner=".(USER_ID)." AND showed='0'");
		list($tot_new_messages) = @mysql_fetch_array($result);
		mysql_free_result($result);

		if ($CONFIG['pms_enabled']) {
			$loginFormHtml .= "<a href='pms.php'>".$lang_loginform['pms']."</a> ".$tot_new_messages.$lang_loginform['unread_total'].$tot_all_messages."&nbsp;</div>";
		}
	}

	if ($CONFIG['display_buddy_status']){
		// get some buddy data
		$result = cpg_db_query("SELECT count(*) FROM  {$CONFIG['TABLE_BUDDY']} WHERE user_id=".(USER_ID));
		list($tot_all_buddies) = @mysql_fetch_array($result);
		mysql_free_result($result);
		$result = cpg_db_query("SELECT count(*) FROM  {$CONFIG['TABLE_BUDDY_REQ']} WHERE buddy_to=".(USER_ID));
		list($tot_new_buddies) = @mysql_fetch_array($result);
		mysql_free_result($result);

		if ($CONFIG['enable_buddy']){
			$loginFormHtml .= "<div align=\"right\" class=\"smallfont\"><a href='buddy_manage.php'>".$lang_loginform['friends'].":</a> ".$tot_new_buddies." ".$lang_loginform['request'].", ".$lang_loginform['active']." ".$tot_all_buddies."&nbsp;</div>";
		}
	}

}
  return $loginFormHtml;
}





?>












