<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.12
  $Source$
  $Revision: 3636 $
  $Author: gaugau $
  $Date: 2007-06-29 11:35:30 +0200 (Fr, 29 Jun 2007) $
**********************************************/

define('THEME_IS_XHTML10_TRANSITIONAL',1); // Remove this if you edit this template until
                                           // you have validated it. See docs/theme.htm.

// HTML template for sys_menu
$template_sys_menu = <<<EOT
         |{BUTTONS}|
EOT;

// HTML template for template sys_menu spacer
$template_sys_menu_spacer ="|";

// HTML template for template sub_menu
// special note: I left the java 'hide' off of the first and third buttons to help avoid trouble keeping sys_menu open. :Donnoman

$template_sub_menu = <<<EOT
<table cellpadding="0" cellspacing="0" border="0">
<tr>
    
<!-- BEGIN custom_link -->
	
    <td class=menutable  width="95px" align="center">
            <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>
    </td>
    
<!-- END custom_link -->
         
    
       
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{LASTUP_TGT}"  title="{LASTUP_LNK}">{LASTUP_LNK}</a>
    </td>
    
    <td class=menutable width="95px" height="25px" align="center">
            <a href="{LASTCOM_TGT}"  title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{TOPN_TGT}"  title="{TOPN_LNK}">{TOPN_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{TOPRATED_TGT}"  title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{FAV_TGT}" title="{FAV_LNK}">{FAV_LNK}</a>
    </td>
    
    
    


	    
  </tr>
</table>

EOT;

// HTML template for sys menu
$template_sys_menu = <<<EOT


<table cellpadding="0" cellspacing="0" border="0">

                       
<!-- BEGIN home -->

                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a></td>
                                        
<!-- END home -->

<!-- BEGIN my_gallery -->
                                        
                                                <td class="menutable" width="95px" height="25px" align="center"> <a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a></td>
                                        

<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->


                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></td>
<!-- END allow_memberlist -->                        

<!-- BEGIN my_profile -->
                             
                                              <td class="menutable" width="95px" height="25px" align="center"> <a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></td>
                                 
<!-- END my_profile -->


<!-- BEGIN my_friends -->
                                                <td class="menutable" width="95px" height="25px" align="center"><a href="{MY_BUDDY_TGT}" title="{MY_BUDDY_LNK}">{MY_BUDDY_LNK}</a></td>
<!-- END my_friends -->



<!-- BEGIN faq -->
                                      
                                                <td class="menutable" width="95px" height="25px" align="center"> <a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a></td>
                                    
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                                      
                                              <td class="menutable" width="95px" height="25px" align="center">  <a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></td>
                   
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                        
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></td>
                            
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                                 
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></td>
                                     
<!-- END upload_pic -->
<!-- BEGIN register -->
                                        
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></td>
                                        
<!-- END register -->


<!-- BEGIN login -->
<td class="loginbtn" width="95px" height="25px" align="center" style="visibility:hidden"> <a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></td>
                                       
                                       
<!-- END login -->
<!-- BEGIN logout -->


<td class="logoutbtn" width="95px" height="25px" align="center"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">Logout</a></td>
                                      
<!-- END logout -->




</table>


EOT;





// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

                        <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                                <td width="100%" class="statlink">{ALBUM_NAME}</td>
                                <td class="sortorder_options" style="font-size: 100%;">Title</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Name</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Date</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Position</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">&nbsp;-&nbsp;</a></span></td>
                        </tr>
                        </table>
EOT;






?>












